'use strict';

const util = require("util");
const fs = require("fs");
const createBetterPegTracer = require("better-peg-tracer");

const parse = require("./");
const stringify = require("./lib/stringify");

function fullInspect(obj) {
	return util.inspect(obj, {colors: true, depth: null, customInspect: false})
}

try {
	let contents = fs.readFileSync(process.argv[2]).toString();
	let tree = parse(contents, {
		tracer: createBetterPegTracer(contents)
	});

	console.log(fullInspect(tree));

	console.log("----");
	console.log(stringify(tree));
} catch (err) {
	console.log(fullInspect(err))
}
